Package de.willuhn.jameica.hbci.gui.controller

# Class AbstractBaseUeberweisungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl
de.willuhn.jameica.hbci.gui.controller.AbstractBaseUeberweisungControl

Direct Known Subclasses:
  `LastschriftControl`, `UeberweisungControl`

public abstract class AbstractBaseUeberweisungControl extends AbstractTransferControl
Basis-Controller fuer die Ueberweisungen und Lastschriften.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBaseUeberweisungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerBlz()`
Liefert das Eingabe-Feld fuer die BLZ.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerKonto()`
Liefert das Eingabe-Feld fuer den Empfaenger.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`KontoInput`
`getKontoAuswahl()`
Liefert ein Auswahlfeld fuer das Konto.
`ReminderIntervalInput`
`getReminderInterval()`
Liefert das Intervall fuer die zyklische Ausfuehrung.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStoreEmpfaenger()`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.
`TerminInput`
`getTermin()`
Liefert das Eingabe-Feld fuer den Termin.
`abstract de.willuhn.jameica.gui.input.Input`
`getTextSchluessel()`
Liefert ein Auswahlfeld fuer den Textschluessel.
`de.willuhn.jameica.gui.input.TextInput`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.DialogInput`
`getZweck2()`
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.
`boolean`
`handleStore()`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl

`getKonto, getTransfer`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractBaseUeberweisungControl

public AbstractBaseUeberweisungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTermin

public TerminInput getTermin() throws RemoteException
Liefert das Eingabe-Feld fuer den Termin.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getReminderInterval

public ReminderIntervalInput getReminderInterval() throws Exception
Liefert das Intervall fuer die zyklische Ausfuehrung.

Returns:
  Auswahlfeld.
Throws:
  `Exception`

### getTextSchluessel

public abstract de.willuhn.jameica.gui.input.Input getTextSchluessel() throws RemoteException
Liefert ein Auswahlfeld fuer den Textschluessel.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Description copied from class: `AbstractTransferControl`
Speichert den Geld-Transfer.

Overrides:
  `handleStore` in class `AbstractTransferControl`
Returns:
  true, wenn das Speichern erfolgreich war.
See Also:
  - `AbstractTransferControl.handleStore()`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Betrag.

Overrides:
  `getBetrag` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getEmpfaengerBlz

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerBlz() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer die BLZ.

Overrides:
  `getEmpfaengerBlz` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerKonto() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Empfaenger.

Overrides:
  `getEmpfaengerKonto` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Overrides:
  `getEmpfaengerName` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getKontoAuswahl

public KontoInput getKontoAuswahl() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert ein Auswahlfeld fuer das Konto.

Overrides:
  `getKontoAuswahl` in class `AbstractTransferControl`
Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getStoreEmpfaenger

public de.willuhn.jameica.gui.input.CheckboxInput getStoreEmpfaenger() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.

Overrides:
  `getStoreEmpfaenger` in class `AbstractTransferControl`
Returns:
  CheckBox.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getZweck

public de.willuhn.jameica.gui.input.TextInput getZweck() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Overrides:
  `getZweck` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`

### getZweck2

public de.willuhn.jameica.gui.input.DialogInput getZweck2() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.

Overrides:
  `getZweck2` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `Ueberschrieben, um das Control zu deaktivieren, wenn die Ueberweisung bereits ausgefuehrt wurde.`